package com.persagy.dmp.rwd.delivery.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.delivery.dto.DeliveryPlanDTO;
import com.persagy.dmp.delivery.entity.ObjectTypeCollect;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 项目，现场交付范围管理-对象类型
 * @author:linhuili
 * @date:2021/10/13
 */
public interface IObjectTypeCollectService extends IService<ObjectTypeCollect> {

    /**
     * 按条件计数
     * @param queryWrapper 查询条件
     * @return 结果数量
     */
    Integer queryCount(Wrapper<ObjectTypeCollect> queryWrapper);

    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 返回结果
     */
    List<ObjectTypeCollect> queryByCondition(Wrapper<ObjectTypeCollect> queryWrapper);

    /**
     * 分页条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<ObjectTypeCollect> queryWrapper);

    /**
     * 新增
     * @param voList 待新增数据
     * @return 新增后数据
     */
    List<ObjectTypeCollect> insert(List<ObjectTypeCollect> voList) throws Exception ;

    /**
     * 修改
     * @param voList 待修改数据
     * @return 修改后数据
     */
    List<ObjectTypeCollect> update(List<ObjectTypeCollect> voList) throws Exception;

    /**
     * 删除
     * @param idList 主键
     */
    void delete(List<String> idList);

    List<DeliveryPlanDTO> createProjectDelivery(@RequestBody List<DeliveryPlanDTO> voList) throws Exception;
}
