package com.persagy.dmp.rwd.migrate.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.rwd.migrate.entity.SyncData;

import java.util.List;

/**
 * @author lvxianyun
 * @title: ISyncDataService
 * @projectName digital-twin
 * @date 2021/12/20 15:41
 */
public interface ISyncDataService extends IService<SyncData> {
    /**
     * 新增
     * @param voList 待新增数据
     * @return 新增后数据
     */
    List<SyncData> save(List<SyncData> voList) throws Exception ;

    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 返回结果
     */
    List<SyncData> queryByCondition(Wrapper<SyncData> queryWrapper);

    /**
     * 分页条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<SyncData> queryWrapper);
}
