package com.persagy.dmp.delivery.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.node.ArrayNode;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * 平台/项目级采集的信息点定义
 * @author linhuili
 * @date 2021-10-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_define_type_delivery", autoResultMap = true)
public class ObjectTypeCollect extends AuditableEntity {
    /** 集团编码 */
    private String groupCode;
    /** 项目ID 0-平台级 1-项目级 */
    private String projectId;
    /** 关联类型ID */
    @NotNull(message = "类型ID不能为空")
    private String defineTypeId;
    /** 类型编码编码 */
    private String code;
    /** 对象类型 */
    private String objType;
    /** 交付类型：0-项目交付 1-现场交付  */
    private Integer deliveryType;
    /** 是否交付 0-否 1-是 */
    private Integer isDelivery;
    /** 交付范围：实例范围 */
    private String instanceScope;
    /** 交付范围：依赖&关联 */
    private String associationRelation;
    /** 正逆向交付方式 0-逆向 1-正向 2-不确定*/
    private Integer deliveryWay;
    /** 交付主张不确定时，正向时设备所在物业空间的空间功能类型*/
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ArrayNode roomFuncTypes;
    /** 交付信息 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private JsonNode deliveryInfo;
    /** 备注 */
    private String remark;

}
